net.minecraft.client.entity

## Class EntityClientPlayerMP

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.AbstractClientPlayer
        - - net.minecraft.client.entity.EntityPlayerSP
          - - net.minecraft.client.entity.EntityClientPlayerMP

- All Implemented Interfaces:
    ICommandSender

      public class EntityClientPlayerMP
      extends EntityPlayerSP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NetClientHandler` | `sendQueue`

    - ### Fields inherited from class net.minecraft.client.entity.EntityPlayerSP

      `movementInput, prevRenderArmPitch, prevRenderArmYaw, prevTimeInPortal, renderArmPitch, renderArmYaw, sprintingTicksLeft, timeInPortal`

    - ### Fields inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `locationStevePng`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleepTimer, username, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, deathTime, field_70769_ao, field_70770_ap, hurtTime, isSwingInProgress, jumpMovementFactor, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityClientPlayerMP(Minecraft par1Minecraft, World par2World, Session par3Session, NetClientHandler par4NetClientHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStat(StatBase par1StatBase, int par2)` Adds a value to a statistic field.
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)` Called when the entity is attacked.
    `void` | `closeScreen()` sets current screen to null (used on escape buttons of GUIs)
    `EntityItem` | `dropOneItem(boolean par1)` Called when player presses the drop item key
    `void` | `func_110322_i()`
    `void` | `func_142020_c(String par1Str)`
    `String` | `func_142021_k()`
    `void` | `func_92015_f()`
    `void` | `heal(float par1)` Heal living entity (param: amount of half-hearts)
    `void` | `incrementStat(StatBase par1StatBase, int par2)` Used by NetClientHandler.handleStatistic
    `void` | `joinEntityItemWithWorld(EntityItem par1EntityItem)` Joins the passed in entity item with the world.
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `respawnPlayer()`
    `void` | `sendChatMessage(String par1Str)` Sends a chat message from the player.
    `void` | `sendMotionUpdates()` Send updated motion and position information to the server
    `void` | `sendPlayerAbilities()` Sends the player's abilities to the server (if there is one).
    `void` | `setPlayerSPHealth(float par1)` Updates health locally.
    `void` | `swingItem()` Swings the item the player is holding.

    - ### Methods inherited from class net.minecraft.client.entity.EntityPlayerSP

      `addChatMessage, canCommandSenderUseCommand, displayGUIAnvil, displayGUIBeacon, displayGUIBook, displayGUIBrewingStand, displayGUIChest, displayGUIDispenser, displayGUIEditSign, displayGUIEnchantment, displayGUIFurnace, displayGUIHopper, displayGUIHopperMinecart, displayGUIHorse, displayGUIMerchant, displayGUIWorkbench, getFOVMultiplier, getHeldItem, getHorseJumpPower, getPlayerCoordinates, isClientWorld, isRidingHorse, isSneaking, onCriticalHit, onEnchantmentCritical, onItemPickup, onLivingUpdate, playSound, sendChatToPlayer, setSprinting, setXPStats, updateEntityActionState`

    - ### Methods inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `getCapeUrl, getDownloadImageCape, getDownloadImageSkin, getLocationCape, getLocationCape, getLocationSkin, getLocationSkin, getLocationSkull, getSkinUrl, getTextureCape, getTextureSkin`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addToPlayerScore, attackTargetEntityWithCurrentItem, canAttackPlayer, canEat, canHarvestBlock, canPlayerEdit, clearItemInUse, clonePlayer, destroyCurrentEquippedItem, dropPlayerItem, dropPlayerItemWithRandomChoice, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentItemOrArmor, getCurrentPlayerStrVsBlock, getCurrentPlayerStrVsBlock, getDefaultEyeHeight, getDisplayName, getEntityName, getEntityWorld, getEyeHeight, getFoodStats, getHideCape, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getScore, getSleepTimer, getTeam, getTotalArmorValue, getTranslatedEntityName, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, mountEntity, moveEntityWithHeading, onDeath, onKillEntity, openGui, preparePlayerToSpawn, readEntityFromNBT, refreshDisplayName, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setGameType, setInWeb, setItemInUse, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, triggerAchievement, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, dismountEntity, func_110142_aN, func_142015_aE, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSwingProgress, isChild, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, knockBack, onEntityUpdate, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSprinting, isWet, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setFire, setInPortal, setInvisible, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sendQueue

          public NetClientHandler sendQueue

  - ### Constructor Detail

    - #### EntityClientPlayerMP

          public EntityClientPlayerMP(Minecraft par1Minecraft,
                              World par2World,
                              Session par3Session,
                              NetClientHandler par4NetClientHandler)

  - ### Method Detail

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityPlayer`

    - #### heal

          public void heal(float par1)

      Heal living entity (param: amount of half-hearts)
      Overrides:
        `heal` in class `EntityLivingBase`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityPlayer`

    - #### sendMotionUpdates

          public void sendMotionUpdates()

      Send updated motion and position information to the server

    - #### dropOneItem

          public EntityItem dropOneItem(boolean par1)

      Called when player presses the drop item key
      Overrides:
        `dropOneItem` in class `EntityPlayer`

    - #### joinEntityItemWithWorld

          public void joinEntityItemWithWorld(EntityItem par1EntityItem)

      Joins the passed in entity item with the world. Args: entityItem
      Overrides:
        `joinEntityItemWithWorld` in class `EntityPlayer`

    - #### sendChatMessage

          public void sendChatMessage(String par1Str)

      Sends a chat message from the player. Args: chatMessage

    - #### swingItem

          public void swingItem()

      Swings the item the player is holding.
      Overrides:
        `swingItem` in class `EntityLivingBase`

    - #### respawnPlayer

          public void respawnPlayer()

      Overrides:
        `respawnPlayer` in class `EntityPlayer`

    - #### closeScreen

          public void closeScreen()

      sets current screen to null (used on escape buttons of GUIs)
      Overrides:
        `closeScreen` in class `EntityPlayerSP`

    - #### func_92015_f

          public void func_92015_f()

    - #### setPlayerSPHealth

          public void setPlayerSPHealth(float par1)

      Updates health locally.
      Overrides:
        `setPlayerSPHealth` in class `EntityPlayerSP`

    - #### addStat

          public void addStat(StatBase par1StatBase,
                     int par2)

      Adds a value to a statistic field.
      Overrides:
        `addStat` in class `EntityPlayerSP`

    - #### incrementStat

          public void incrementStat(StatBase par1StatBase,
                           int par2)

      Used by NetClientHandler.handleStatistic

    - #### sendPlayerAbilities

          public void sendPlayerAbilities()

      Sends the player's abilities to the server (if there is one).
      Overrides:
        `sendPlayerAbilities` in class `EntityPlayer`

    - #### func_110322_i

          public void func_110322_i()

    - #### func_142020_c

          public void func_142020_c(String par1Str)

    - #### func_142021_k

          public String func_142021_k()